aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joe Smith (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AURORA-372) Python tests fail with "Untranslateable" exception
Date Fri, 27 Jun 2014 21:28:24 GMT

     [ https://issues.apache.org/jira/browse/AURORA-372?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Joe Smith resolved AURORA-372.
------------------------------

    Resolution: Cannot Reproduce

resolved per [~kevints]

> Python tests fail with "Untranslateable" exception
> --------------------------------------------------
>
>                 Key: AURORA-372
>                 URL: https://issues.apache.org/jira/browse/AURORA-372
>             Project: Aurora
>          Issue Type: Bug
>            Reporter: Kevin Sweeney
>             Fix For: 0.5.0
>
>
> Python tests fail with "Untranslateable" exception:
> {noformat}
> kevin@poore:~/workspace/aurora$ ./pants src/test/python:all
> Build operating on targets: OrderedSet([PythonTestSuite(src/test/python/BUILD:all)])
> Failed to run test!
> Traceback (most recent call last):
>   File "/home/kevin/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.cb9a7887b54d152332d84dfef84a6d6301b2ab27/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/test_builder.py",
line 204, in _run_python_test
>     builder = chroot.dump()
>   File "/home/kevin/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.cb9a7887b54d152332d84dfef84a6d6301b2ab27/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/python_chroot.py",
line 201, in dump
>     platforms=platforms)
>   File "/home/kevin/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.cb9a7887b54d152332d84dfef84a6d6301b2ab27/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/resolver.py",
line 109, in resolve_multi
>     platform=platform)
>   File "/home/kevin/.pex/install/twitter.common.python-0.5.6-py2-none-any.whl.972006af55905a70aed9d4c3754b53740d323273/twitter.common.python-0.5.6-py2-none-any.whl/twitter/common/python/resolver.py",
line 98, in resolve
>     raise Unsatisfiable('Cannot satisfy requirements: %s' % requirement_set[requirement.key])
> Unsatisfiable: Cannot satisfy requirements: [Requirement.parse('py>=1.4.20')]
> src.test.python.apache.aurora.admin.host_maintenance                            .....
EXCEPTION
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message